=== modified file 'Makefile'
--- Makefile	2011-12-08 19:00:14 +0000
+++ Makefile	2012-03-09 16:48:55 +0000
@@ -192,6 +192,14 @@
 	cd doc/developers && make htmlhelp
 
 
+# Build the texinfo files using Sphinx.
+texinfo-sphinx: $(SPHINX_DEPENDENCIES)
+	cd doc/en && make texinfo
+	cd doc/es && make texinfo
+	cd doc/ru && make texinfo
+	cd doc/ja && make texinfo
+	cd doc/developers && make texinfo
+
 ### Documentation Website ###
 
 # Where to build the website

=== removed directory 'bzrlib/doc_generate/builders'
=== removed file 'bzrlib/doc_generate/builders/__init__.py'
--- bzrlib/doc_generate/builders/__init__.py	2011-12-19 13:23:58 +0000
+++ bzrlib/doc_generate/builders/__init__.py	1970-01-01 00:00:00 +0000
@@ -1,20 +0,0 @@
-# Copyright (C) 2010 Canonical Ltd
-#
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 2 of the License, or
-# (at your option) any later version.
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
-
-"""Placeholder to allow sphinx builders imports."""
-
-from __future__ import absolute_import
-

=== removed file 'bzrlib/doc_generate/builders/texinfo.py'
--- bzrlib/doc_generate/builders/texinfo.py	2012-02-24 13:35:31 +0000
+++ bzrlib/doc_generate/builders/texinfo.py	1970-01-01 00:00:00 +0000
@@ -1,44 +0,0 @@
-# Copyright (C) 2010 Canonical Ltd
-#
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 2 of the License, or
-# (at your option) any later version.
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
-
-"""A sphinx builder producing texinfo output."""
-
-from __future__ import absolute_import
-
-from sphinx import builders
-from sphinx.builders import text as _text_builder
-
-from bzrlib.doc_generate.writers import texinfo as texinfo_writer
-
-class TexinfoBuilder(_text_builder.TextBuilder):
-
-    name = 'texinfo'
-    format = 'texinfo'
-    out_suffix = '.texi'
-
-    def prepare_writing(self, docnames):
-        self.writer = texinfo_writer.TexinfoWriter(self)
-
-    def get_target_uri(self, docname, typ=None):
-        # FIXME: Revisit when info file generation is defined (the suffix is
-        # left here for clarity but the final version may just get rid of
-        # it). And we probalby will join several files into bigger info files
-        # anyway. -- vila 20100506
-        return docname + '.info'
-
-
-def setup(app):
-    app.add_builder(TexinfoBuilder)

=== modified file 'bzrlib/doc_generate/conf.py'
--- bzrlib/doc_generate/conf.py	2011-12-18 15:28:38 +0000
+++ bzrlib/doc_generate/conf.py	2012-03-09 16:48:55 +0000
@@ -21,8 +21,7 @@
 
 # Add any Sphinx extension module names here, as strings. They can be extensions
 # coming with Sphinx (named 'sphinx.ext.*') or your custom ones.
-extensions = ['sphinx.ext.ifconfig',
-              'bzrlib.doc_generate.builders.texinfo']
+extensions = ['sphinx.ext.ifconfig',]
 
 # Add any paths that contain templates here, relative to this directory.
 templates_path = ['_templates']

=== removed directory 'bzrlib/doc_generate/writers'
=== removed file 'bzrlib/doc_generate/writers/__init__.py'
--- bzrlib/doc_generate/writers/__init__.py	2011-12-19 13:23:58 +0000
+++ bzrlib/doc_generate/writers/__init__.py	1970-01-01 00:00:00 +0000
@@ -1,20 +0,0 @@
-# Copyright (C) 2010 Canonical Ltd
-#
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 2 of the License, or
-# (at your option) any later version.
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
-
-"""Placeholder to allow sphinx writer imports."""
-
-from __future__ import absolute_import
-

=== removed file 'bzrlib/doc_generate/writers/texinfo.py'
--- bzrlib/doc_generate/writers/texinfo.py	2011-12-19 13:23:58 +0000
+++ bzrlib/doc_generate/writers/texinfo.py	1970-01-01 00:00:00 +0000
@@ -1,534 +0,0 @@
-# Copyright (C) 2010 Canonical Ltd
-#
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 2 of the License, or
-# (at your option) any later version.
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
-
-"""A sphinx/docutil writer producing texinfo output."""
-
-from __future__ import absolute_import
-
-from docutils import (
-    nodes,
-    writers,
-    )
-
-DEBUG = 0
-
-class TexinfoWriter(writers.Writer):
-
-    supported = ('texinfo',)
-    settings_spec = ('No options here.', '', ())
-    settings_defaults = {}
-
-    output = None
-
-    def __init__(self, builder):
-        writers.Writer.__init__(self)
-        self.builder = builder
-
-    def translate(self):
-        visitor = TexinfoTranslator(self.document, self.builder)
-        self.document.walkabout(visitor)
-        self.output = visitor.body
-
-
-class TexinfoTranslator(nodes.NodeVisitor):
-
-    section_names = ['chapter', 'section', 'subsection', 'subsubsection']
-    """texinfo section names differ from the sphinx ones.
-
-    Since this can be confusing, the correspondences are shown below
-    (shpinx -> texinfo):
-    part       -> chapter
-    chapter    -> section
-    section    -> subsection
-    subsection -> subsubsection
-
-    Additionally, sphinx defines subsubsections and paragraphs which are
-    handled as @heading (unnumbered).
-    """
-
-    def __init__(self, document, builder):
-        nodes.NodeVisitor.__init__(self, document)
-        self.builder = builder
-        # toctree uses some nodes for different purposes (namely:
-        # compact_paragraph, bullet_list) that needs to know when they are
-        # processing a toctree.
-        self.in_toctree = False
-        # sections can be embedded and produce different directives depending
-        # on the depth.
-        self.section_level = -1
-        # By default paragraghs are separated by newlines, but there are some
-        # exceptions that set it to '' for some subtrees instead
-        self.paragraph_sep = '\n'
-
-    # The whole document
-
-    def visit_document(self, node):
-        if DEBUG:
-            import sys
-            sys.stdout.write(node.pformat().encode('utf8'))
-        set_item_list_collector(node, 'text')
-
-    def depart_document(self, node):
-        # FIXME: info requires a Top node for each info file, but unless we
-        # chose a global layout to divide the overall documentation into a set
-        # of info files, there is no criteria to decide for a title.
-        top_cmd = '''\
-This file has been converted using a beta rst->texinfo converter. 
-Most of the info links are currently bogus, don't report bugs about them,
-this is currently worked on.
-@node Top
-@top Placeholder
-'''
-        self.body = top_cmd + ''.join(node['text'])
-
-    # Layout
-
-    def visit_section(self, node):
-        self.section_level += 1
-        set_item_list_collector(node, 'text')
-
-    def depart_section(self, node):
-        title = node['title']
-        ids = node.get('ids', [])
-        try:
-            section_name = self.section_names[self.section_level]
-        except IndexError:
-            # Just use @heading, it's not numbered anyway
-            section_name = 'heading'
-        if ids:
-            # There shouldn't be different ids for a section, so until we
-            # encounter bugs, just take the first one.
-            node_cmd = '@node %s\n' % (ids[0],)
-        else:
-            node_cmd = ''
-        section_cmd = '@%s %s\n' % (section_name, title)
-        text = ''.join(node['text'])
-        node.parent.collect_text(node_cmd + section_cmd + text)
-        self.section_level -= 1
-
-    def visit_topic(self, node):
-        pass
-
-    def depart_topic(self, node):
-        pass
-
-    def visit_compound(self, node):
-        # compound is new in sphinx >= 1.0 and just add a optional layer so we
-        # relay the text to the parent when it occurs. This may requires a
-        # cleaner approach once we settle on which sphinx versions we want to
-        # support.
-        set_item_list_collector(node, 'text')
-
-    def depart_compound(self, node):
-        text = ''.join(node['text'])
-        node.parent.collect_text(text)
-
-    def visit_paragraph(self, node):
-        set_item_list_collector(node, 'text')
-
-    def depart_paragraph(self, node):
-        # End the paragraph with a new line (or '' depending on the parent) and
-        # leave a blank line after it.
-        text = ''.join(node['text']) + self.paragraph_sep * 2
-        node.parent.collect_text(text)
-
-    def visit_compact_paragraph(self, node):
-        set_item_list_collector(node, 'text')
-        if node.has_key('toctree'):
-            self.in_toctree = True
-        elif self.in_toctree:
-            set_item_collector(node, 'reference')
-
-    def depart_compact_paragraph(self, node):
-        # FIXME: Using a different visitor specific to toctree may be a better
-        # design and makes code clearer. -- vila 20100708
-        if node.has_key('toctree'):
-            if node['text']:
-                node.parent.collect_text('@menu\n')
-                node.parent.collect_text(''.join(node['text']))
-                node.parent.collect_text('@end menu\n')
-            self.in_toctree = False
-        elif self.in_toctree:
-            # * FIRST-ENTRY-NAME:(FILENAME)NODENAME.     DESCRIPTION
-            # XXX: the file name should probably be adjusted to the targeted
-            # info file name
-            node_name, file_name, entry_name = node['reference']
-            if not node_name:
-                node_name = entry_name
-            description = '' # We can't specify a description in rest AFAICS
-            # XXX: What if :maxdepth: is not 1 ?
-            text = '* %s: (%s)%s. %s\n' % (entry_name, file_name,
-                                           node_name, description)
-            node.parent.collect_text(text)
-        else:
-            # End the paragraph with a new line (or '' depending on the parent)
-            # and leave a blank line after it.
-            text = ''.join(node['text']) + self.paragraph_sep * 2
-            node.parent.collect_text(text)
-
-    def visit_literal_block(self, node):
-        set_item_collector(node, 'text')
-
-    def depart_literal_block(self, node):
-        text = '@samp{%s}' % ''.join(node['text']) + self.paragraph_sep * 2
-        node.parent.collect_text(text)
-
-    def visit_block_quote(self, node):
-        set_item_list_collector(node, 'text')
-
-    def depart_block_quote(self, node):
-        node.parent.collect_text('@example\n')
-        node.parent.collect_text(''.join(node['text']))
-        node.parent.collect_text('@end example\n\n')
-
-    def depart_warning(self, node):
-        pass
-
-    def visit_warning(self, node):
-        raise nodes.SkipNode # Not implemented yet
-
-    def visit_note(self, node):
-        raise nodes.SkipNode # Not implemented yet
-
-    def depart_note(self, node):
-        pass
-
-    def visit_footnote(self, node):
-        raise nodes.SkipNode # Not implemented yet
-
-    def depart_footnote(self, node):
-        pass
-
-    def visit_comment(self, node):
-        raise nodes.SkipNode # Not implemented yet
-
-    # Attributes
-
-    def visit_title(self, node):
-        set_item_collector(node, 'text')
-
-    def depart_title(self, node):
-        node.parent['title'] = node['text']
-
-    def visit_label(self, node):
-        raise nodes.SkipNode # Not implemented yet
-
-    def visit_substitution_definition(self, node):
-        raise nodes.SkipNode # Not implemented yet
-
-    # Plain text
-
-    def visit_Text(self, node):
-        pass
-
-    def depart_Text(self, node):
-        text = node.astext()
-        if '@' in text:
-            text = text.replace('@', '@@')
-        if '{' in text:
-            text = text.replace('{', '@{')
-        if '}' in text:
-            text = text.replace('}', '@}')
-        node.parent.collect_text(text)
-
-
-    # Styled text
-
-    def visit_emphasis(self, node):
-        set_item_collector(node, 'text')
-
-    def depart_emphasis(self, node):
-        text = '@emph{%s}' % node['text']
-        node.parent.collect_text(text)
-
-    def visit_strong(self, node):
-        set_item_collector(node, 'text')
-
-    def depart_strong(self, node):
-        text = '@strong{%s}' % node['text']
-        node.parent.collect_text(text)
-
-    def visit_literal(self, node):
-        set_item_collector(node, 'text')
-
-    def depart_literal(self, node):
-        text = '@code{%s}' % node['text']
-        node.parent.collect_text(text)
-
-    # Lists
-
-    def _decorate_list(self, item_list, collect, item_fmt='%s',
-                       head=None, foot=None):
-        if head is not None:
-            collect(head)
-        for item in item_list:
-            collect(item_fmt % item)
-        if foot is not None:
-            collect(foot)
-
-    def visit_bullet_list(self, node):
-        set_item_list_collector(node, 'list_item')
-
-    def depart_bullet_list(self, node):
-        l = node['list_item']
-        if self.in_toctree:
-            self._decorate_list(node['list_item'], node.parent.collect_text)
-        else:
-            self._decorate_list(node['list_item'], node.parent.collect_text,
-                                '@item\n%s',
-                                # FIXME: Should respect the 'bullet' attribute
-                                '@itemize @bullet\n', '@end itemize\n')
-
-    def visit_enumerated_list(self, node):
-        set_item_list_collector(node, 'list_item')
-
-    def depart_enumerated_list(self, node):
-        self._decorate_list(node['list_item'], node.parent.collect_text,
-                            '@item\n%s',
-                            '@enumerate\n', '@end enumerate\n')
-
-    def visit_definition_list(self, node):
-        raise nodes.SkipNode # Not implemented yet
-
-    def depart_definition_list(self, node):
-        raise nodes.SkipNode # Not implemented yet
-
-    def visit_definition_list_item(self, node):
-        raise nodes.SkipNode # Not implemented yet
-
-    def depart_definition_list_item(self, node):
-        pass
-
-    def visit_term(self, node):
-        raise nodes.SkipNode # Not implemented yet
-
-    def depart_term(self, node):
-        pass
-
-    def visit_definition(self, node):
-        raise nodes.SkipNode # Not implemented yet
-
-    def depart_definition(self, node):
-        pass
-
-    def visit_field_list(self, node):
-        raise nodes.SkipNode # Not implemented yet
-
-    def depart_field_list(self, node):
-        pass
-
-    def visit_field(self, node):
-        raise nodes.SkipNode # Not implemented yet
-
-    def depart_field(self, node):
-        pass
-
-    def visit_field_name(self, node):
-        raise nodes.SkipNode # Not implemented yet
-
-    def depart_field_name(self, node):
-        pass
-
-    def visit_field_body(self, node):
-        raise nodes.SkipNode # Not implemented yet
-
-    def depart_field_body(self, node):
-        pass
-
-    def visit_list_item(self, node):
-        set_item_list_collector(node, 'text')
-
-    def depart_list_item(self, node):
-        text = ''.join(node['text'])
-        node.parent.collect_list_item(text)
-
-    def visit_option_list(self, node):
-        raise nodes.SkipNode # Not implemented yet
-
-    def depart_option_list(self, node):
-        pass
-
-    def visit_option_list_item(self, node):
-        pass
-
-    def depart_option_list_item(self, node):
-        pass
-
-    def visit_option_group(self, node):
-        pass
-
-    def depart_option_group(self, node):
-        pass
-
-    def visit_option(self, node):
-        pass
-
-    def depart_option(self, node):
-        pass
-
-    def visit_option_string(self, node):
-        pass
-    def depart_option_string(self, node):
-        pass
-
-    def visit_option_argument(self, node):
-        pass
-
-    def depart_option_argument(self, node):
-        pass
-
-    def visit_description(self, node):
-        pass
-    def depart_description(self, node):
-        pass
-
-    # Tables
-    def visit_table(self, node):
-        set_item_collector(node, 'table')
-
-    def depart_table(self, node):
-        node.parent.collect_text(node['table'])
-
-    def visit_tgroup(self, node):
-        set_item_list_collector(node, 'colspec')
-        set_item_collector(node, 'head_entries')
-        set_item_collector(node, 'body_rows')
-
-    def depart_tgroup(self, node):
-        header = []
-        # The '@multitable {xxx}{xxx}' line
-        self._decorate_list(node['colspec'], header.append,
-                            '{%s}', '@multitable ', '\n')
-        # The '@headitem xxx @tab yyy...' line
-        head_entries = node['head_entries']
-        if head_entries is not None:
-            # Not all tables define titles for the columns... rest parser bug ?
-            # FIXME: need a test
-            self._decorate_list(head_entries[1:], header.append,
-                                ' @tab %s',
-                                '@headitem %s' % head_entries[0], '\n')
-        header = ''.join(header)
-        # The '@item xxx\n @tab yyy\n ...' lines
-        body_rows = node['body_rows']
-        rows = []
-        for r in body_rows:
-            self._decorate_list(r[1:], rows.append,
-                                '@tab %s\n', '@item %s\n' % r[0])
-        footer = '@end multitable\n'
-        node.parent.collect_table(header + ''.join(rows) + footer)
-
-    def visit_colspec(self, node):
-        pass
-
-    def depart_colspec(self, node):
-        node.parent.collect_colspec('x' * node['colwidth'])
-
-    def visit_thead(self, node):
-        set_item_collector(node, 'row')
-
-    def depart_thead(self, node):
-        node.parent.collect_head_entries(node['row'])
-
-    def visit_tbody(self, node):
-        set_item_list_collector(node, 'row')
-
-    def depart_tbody(self, node):
-        node.parent.collect_body_rows(node['row'])
-
-    def visit_row(self, node):
-        set_item_list_collector(node, 'entry')
-
-    def depart_row(self, node):
-        node.parent.collect_row(node['entry'])
-
-    def visit_entry(self, node):
-        set_item_list_collector(node, 'text')
-        node['par_sep_orig'] = self.paragraph_sep
-        self.paragraph_sep = ''
-
-    def depart_entry(self, node):
-        node.parent.collect_entry(''.join(node['text']))
-        self.paragraph_sep = node['par_sep_orig']
-
-    # References
-
-    def visit_reference(self, node):
-        for c in node.children:
-            if getattr(c, 'parent', None) is None:
-                # Bug sphinx
-                node.setup_child(c)
-        set_item_collector(node, 'text')
-
-    def depart_reference(self, node):
-        anchorname = node.get('anchorname', None)
-        refuri = node.get('refuri', None)
-        refid = node.get('refid', None)
-        text = ''.join(node['text'])
-        collect = getattr(node.parent, 'collect_reference', None)
-        if collect is not None:
-            if not self.in_toctree:
-                raise AssertionError('collect_reference is specific to toctree')
-            if anchorname is None:
-                anchorname = ''
-            if refuri is None:
-                refuri = ''
-            collect((anchorname, refuri, text))
-        elif refuri is not None:
-            node.parent.collect_text('@uref{%s,%s}' % (refuri, text))
-        elif refid is not None:
-            # Info format requires that a reference is followed by some
-            # punctuation char ('.', ','. ')', etc). Rest is more liberal. To
-            # accommodate, we use pxref inside parenthesis.
-            node.parent.collect_text('%s (@pxref{%s})' % (text, refid))
-
-    def visit_footnote_reference(self, node):
-        raise nodes.SkipNode # Not implemented yet
-
-    def visit_citation_reference(self, node):
-        raise nodes.SkipNode # Not implemented yet
-
-    def visit_title_reference(self, node):
-        raise nodes.SkipNode # Not implemented yet
-
-    def depart_title_reference(self, node):
-        pass
-
-    def visit_target(self, node):
-        raise nodes.SkipNode # Not implemented yet
-
-    def depart_target(self, node):
-        pass
-
-    def visit_image(self, node):
-        raise nodes.SkipNode # Not implemented yet
-
-# Helpers to collect data in parent node
-
-def set_item_collector(node, name):
-    node[name] = None
-    def set_item(item):
-        node[name] = item
-    setattr(node, 'collect_' + name, set_item)
-
-
-def set_item_list_collector(node, name, sep=''):
-    node[name] = []
-    node[name + '_sep'] = sep
-    def append_item(item):
-        node[name].append(item)
-    setattr(node, 'collect_' + name, append_item)
-
-

=== modified file 'bzrlib/tests/__init__.py'
--- bzrlib/tests/__init__.py	2012-02-15 22:43:50 +0000
+++ bzrlib/tests/__init__.py	2012-03-09 16:48:55 +0000
@@ -3909,7 +3909,6 @@
         'bzrlib.doc',
         'bzrlib.tests.blackbox',
         'bzrlib.tests.commands',
-        'bzrlib.tests.doc_generate',
         'bzrlib.tests.per_branch',
         'bzrlib.tests.per_bzrdir',
         'bzrlib.tests.per_controldir',

=== removed directory 'bzrlib/tests/doc_generate'
=== removed file 'bzrlib/tests/doc_generate/__init__.py'
--- bzrlib/tests/doc_generate/__init__.py	2011-01-10 22:20:12 +0000
+++ bzrlib/tests/doc_generate/__init__.py	1970-01-01 00:00:00 +0000
@@ -1,113 +0,0 @@
-# Copyright (C) 2010, 2011 Canonical Ltd
-#
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 2 of the License, or
-# (at your option) any later version.
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
-
-"""Documentation generation tests."""
-
-import os
-from bzrlib import tests
-from bzrlib.doc_generate import (
-    # FIXME: doc/en/conf.py should be used here, or rather merged into
-    # bzrlib/doc_generate/conf.py -- vila 20100429
-    conf,
-    )
-from bzrlib.tests import features
-
-
-def load_tests(basic_tests, module, loader):
-    suite = loader.suiteClass()
-    # add the tests for this module
-    suite.addTests(basic_tests)
-
-    testmod_names = [
-        'builders',
-        'writers',
-        ]
-    # add the tests for the sub modules
-    suite.addTests(loader.loadTestsFromModuleNames(
-            ['bzrlib.tests.doc_generate.' + name
-             for name in testmod_names]))
-
-    return suite
-
-
-class TestSphinx(tests.TestCaseInTempDir):
-    """Base class for sphinx tests.
-
-    This is used for both the builder and the writer until a better solution is
-    found to test at a lower level.
-    """
-
-    _test_needs_features = [features.sphinx]
-
-    def sphinx_version(self):
-        # Convert to a tuple to avoid traps in string comparison
-        # ( '1.12' < '1.6' but (1, 12) > (1, 6) )
-        return tuple(map(int, features.sphinx.module.__version__.split('.')))
-
-    def make_sphinx(self):
-        out = tests.StringIOWrapper()
-        err = tests.StringIOWrapper()
-        from sphinx import application
-        app = application.Sphinx(
-            '.', confdir=os.path.dirname(conf.__file__), outdir='.',
-            doctreedir='.',
-            buildername='texinfo',
-            confoverrides={},
-            status=out, warning=err,
-            freshenv=True)
-        return app, out, err
-
-    def build(self, app, all_files=True, file_names=None):
-        if file_names is None:
-            file_names = []
-        app.build(all_files, file_names)
-
-    # FIXME: something smells wrong here as we can't process a single file
-    # alone. On top of that, it seems the doc tree must contain an index.txt
-    # file. We may need a texinfo builder ? -- vila 20100505
-
-    def create_content(self, content):
-        """Put content into a single file.
-
-        This is appropriate for simple tests about the content of a single file.
-        """
-        app, out, err = self.make_sphinx()
-        self.build_tree_contents([('index.txt', content),])
-        self.build(app)
-
-    def assertContent(self, expected, header=None, end=None):
-        """Check the content of the file created with creste_content().
-
-        Most texinfo constructs can be tested this way without caring for any
-        boilerplate that texinfo may require at the beginning or the end of the
-        file.
-        """
-        if header is None:
-            # default boilerplate
-            header = '''\
-This file has been converted using a beta rst->texinfo converter. 
-Most of the info links are currently bogus, don't report bugs about them,
-this is currently worked on.
-@node Top
-@top Placeholder
-'''
-        if end is None:
-            # By default we test constructs that are embedded into a paragraph
-            # which always end with two \n (even if the input has none)
-            end = '\n\n'
-        self.assertFileEqual(header + expected + end, 'index.texi')
-
-

=== removed directory 'bzrlib/tests/doc_generate/builders'
=== removed file 'bzrlib/tests/doc_generate/builders/__init__.py'
--- bzrlib/tests/doc_generate/builders/__init__.py	2010-04-29 16:10:59 +0000
+++ bzrlib/tests/doc_generate/builders/__init__.py	1970-01-01 00:00:00 +0000
@@ -1,36 +0,0 @@
-# Copyright (C) 2010 Canonical Ltd
-#
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 2 of the License, or
-# (at your option) any later version.
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
-
-
-"""Sphinx builders tests."""
-
-from bzrlib.tests import features
-
-def load_tests(basic_tests, module, loader):
-    suite = loader.suiteClass()
-    # add the tests for this module
-    suite.addTests(basic_tests)
-
-    if features.sphinx.available():
-        testmod_names = [
-            'texinfo',
-            ]
-        # add the tests for the sub modules
-        suite.addTests(loader.loadTestsFromModuleNames(
-                ['bzrlib.tests.doc_generate.builders.test_' + name
-                 for name in testmod_names]))
-
-    return suite

=== removed file 'bzrlib/tests/doc_generate/builders/test_texinfo.py'
--- bzrlib/tests/doc_generate/builders/test_texinfo.py	2011-05-13 12:51:05 +0000
+++ bzrlib/tests/doc_generate/builders/test_texinfo.py	1970-01-01 00:00:00 +0000
@@ -1,71 +0,0 @@
-# Copyright (C) 2010, 2011 Canonical Ltd
-#
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 2 of the License, or
-# (at your option) any later version.
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
-
-"""sphinx texinfo builder tests."""
-
-from bzrlib import tests
-from bzrlib.doc_generate import (
-    # FIXME: doc/en/conf.py should be used here, or rather merged into
-    # bzrlib/doc_generate/conf.py -- vila 20100429
-    conf,
-    )
-from bzrlib.tests import (
-    doc_generate as test_dg, # Avoid clash with from bzrlib import doc_generate
-    )
-
-
-class TestBuilderDefined(tests.TestCase):
-
-    def test_builder_defined(self):
-        self.assertTrue('bzrlib.doc_generate.builders.texinfo'
-                        in conf.extensions)
-
-class TestBuilderLoaded(test_dg.TestSphinx):
-
-    def test_builder_loaded(self):
-        app, out, err = self.make_sphinx()
-        self.assertTrue('texinfo' in app.builderclasses)
-
-
-class TestFileProduction(test_dg.TestSphinx):
-
-    def test_files_generated(self):
-        self.build_tree_contents(
-            [('index.txt', """
-Table of Contents
-=================
-
-.. toctree::
-   :maxdepth: 1
-
-   content
-"""),
-             ('content.txt', """
-
-bzr 0.0.8
-*********
-
-Improvements
-============
-
-* Adding a file whose parent directory is not versioned will
-  implicitly add the parent, and so on up to the root.
-"""),
-             ])
-        app, out, err = self.make_sphinx()
-        self.build(app)
-        self.assertPathExists('index.texi')
-        self.assertPathExists('content.texi')

=== removed directory 'bzrlib/tests/doc_generate/writers'
=== removed file 'bzrlib/tests/doc_generate/writers/__init__.py'
--- bzrlib/tests/doc_generate/writers/__init__.py	2010-07-06 13:22:32 +0000
+++ bzrlib/tests/doc_generate/writers/__init__.py	1970-01-01 00:00:00 +0000
@@ -1,36 +0,0 @@
-# Copyright (C) 2010 Canonical Ltd
-#
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 2 of the License, or
-# (at your option) any later version.
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
-
-
-"""Sphinx writers tests."""
-
-from bzrlib.tests import features
-
-def load_tests(basic_tests, module, loader):
-    suite = loader.suiteClass()
-    # add the tests for this module
-    suite.addTests(basic_tests)
-
-    if features.sphinx.available():
-        testmod_names = [
-            'texinfo',
-            ]
-        # add the tests for the sub modules
-        suite.addTests(loader.loadTestsFromModuleNames(
-                ['bzrlib.tests.doc_generate.writers.test_' + name
-                 for name in testmod_names]))
-
-    return suite

=== removed file 'bzrlib/tests/doc_generate/writers/test_texinfo.py'
--- bzrlib/tests/doc_generate/writers/test_texinfo.py	2011-03-11 11:33:33 +0000
+++ bzrlib/tests/doc_generate/writers/test_texinfo.py	1970-01-01 00:00:00 +0000
@@ -1,359 +0,0 @@
-# Copyright (C) 2010, 2011 Canonical Ltd
-#
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 2 of the License, or
-# (at your option) any later version.
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
-
-"""sphinx texinfo writer tests."""
-
-from bzrlib import tests
-from bzrlib.tests import (
-    doc_generate as test_dg, # Avoid clash with from bzrlib import doc_generate
-    )
-
-
-class TestTextGeneration(test_dg.TestSphinx):
-
-    def test_special_chars(self):
-        self.create_content("A '@' a '{' and a '}'")
-        self.assertContent("A '@@' a '@{' and a '@}'")
-
-    def test_emphasis(self):
-        self.create_content('*important*')
-        self.assertContent('@emph{important}')
-
-    def test_strong(self):
-        self.create_content('**very important**')
-        self.assertContent('@strong{very important}')
-
-    def test_literal(self):
-        self.create_content('the command is ``foo``')
-        self.assertContent('the command is @code{foo}')
-
-    def test_paragraphs(self):
-        self.create_content('''\
-This is a paragraph.
-
-This is another one.
-''')
-        self.assertContent('''\
-This is a paragraph.
-
-This is another one.''')
-
-    def test_literal_block(self):
-        self.create_content('''\
-Do this::
-
-   bzr xxx
-   bzr yyy
-''')
-        self.assertContent('''\
-Do this:
-
-@samp{bzr xxx
-bzr yyy}
-
-''',
-                           end='')
-
-    def test_block_quote(self):
-        self.create_content('''\
-This is an ordinary paragraph, introducing a block quote.
-
-    "It is my business to know things.  That is my trade."
-
-This is another ordinary paragraph.
-''')
-        self.assertContent('''\
-This is an ordinary paragraph, introducing a block quote.
-
-@example
-"It is my business to know things.  That is my trade."
-
-@end example
-
-This is another ordinary paragraph.
-
-''',
-                           # examples are not followed by an empty line
-                           end='')
-
-
-class TestDocumentAttributesGeneration(test_dg.TestSphinx):
-
-    def test_title(self):
-        self.create_content('''\
-####################
-Bazaar Release Notes
-####################
-''')
-        self.assertContent('''\
-@node bazaar-release-notes
-@chapter Bazaar Release Notes
-''',
-                           end='')
-
-
-class TestListGeneration(test_dg.TestSphinx):
-
-    def test_bullet_list(self):
-        self.create_content('''\
-* This is a bulleted list.
-* It has two items, the second
-  item uses two lines.
-''')
-        self.assertContent('''\
-@itemize @bullet
-@item
-This is a bulleted list.
-
-@item
-It has two items, the second
-item uses two lines.
-
-@end itemize
-''',
-                           end='')
-
-    def test_enumerated_list(self):
-        self.create_content('''\
-#. This is a numbered list.
-#. It has two items, the second
-   item uses two lines.
-''')
-        self.assertContent('''\
-@enumerate
-@item
-This is a numbered list.
-
-@item
-It has two items, the second
-item uses two lines.
-
-@end enumerate
-''',
-                           end='')
-
-
-class TestTableGeneration(test_dg.TestSphinx):
-
-    def test_table(self):
-        self.create_content('''\
-  ===========         ================
-  Prefix              Description
-  ===========         ================
-  first               The first
-  second              The second
-  last                The last
-  ===========         ================
-''')
-        # FIXME: Sphinx bug ? Why are tables enclosed in a block_quote
-        # (translated as an @example).
-        self.assertContent('''\
-@example
-@multitable {xxxxxxxxxxx}{xxxxxxxxxxxxxxxx}
-@headitem Prefix @tab Description
-@item first
-@tab The first
-@item second
-@tab The second
-@item last
-@tab The last
-@end multitable
-@end example''')
-
-
-class TestTocTreeGeneration(test_dg.TestSphinx):
-
-    def test_toctree(self):
-        self.build_tree_contents(
-            [('index.txt', """
-Table of Contents
-=================
-
-.. toctree::
-   :maxdepth: 1
-
-   bzr 0.0.8 <bzr-0.0.8>
-"""),
-             ('bzr-0.0.8.txt', """
-
-bzr 0.0.8
-*********
-
-Improvements
-============
-
-* Adding a file whose parent directory is not versioned will
-  implicitly add the parent, and so on up to the root.
-"""),
-             ])
-        app, out, err = self.make_sphinx()
-        self.build(app)
-        self.assertFileEqual("""\
-This file has been converted using a beta rst->texinfo converter. 
-Most of the info links are currently bogus, don't report bugs about them,
-this is currently worked on.
-@node Top
-@top Placeholder
-@node table-of-contents
-@chapter Table of Contents
-@menu
-* bzr 0.0.8: (bzr-0.0.8.info)bzr 0.0.8. 
-@end menu
-""",
-                             'index.texi')
-        self.assertFileEqual("""\
-This file has been converted using a beta rst->texinfo converter. 
-Most of the info links are currently bogus, don't report bugs about them,
-this is currently worked on.
-@node Top
-@top Placeholder
-@node bzr-0-0-8
-@chapter bzr 0.0.8
-@node improvements
-@section Improvements
-@itemize @bullet
-@item
-Adding a file whose parent directory is not versioned will
-implicitly add the parent, and so on up to the root.
-
-@end itemize
-""",
-                             'bzr-0.0.8.texi')
-
-    def test_toctree_empty(self):
-        self.build_tree_contents(
-            [('index.txt', """
-Table of Contents
-=================
-
-.. toctree::
-   :maxdepth: 1
-""")])
-        app, out, err = self.make_sphinx()
-        self.build(app)
-        self.assertFileEqual("""\
-This file has been converted using a beta rst->texinfo converter. 
-Most of the info links are currently bogus, don't report bugs about them,
-this is currently worked on.
-@node Top
-@top Placeholder
-@node table-of-contents
-@chapter Table of Contents
-""",
-                             'index.texi')
-
-
-class TestSections(test_dg.TestSphinx):
-
-    def test_sections(self):
-        self.create_content('''\
-###########
-Chapter one
-###########
-
-Chapter introduction.
-
-***********
-section one
-***********
-
-The first section.
-
-
-subsection one
-==============
-
-The first subsection.
-
-subsection two
-==============
-
-The second subsection.
-
-subsubsection one
------------------
-
-Here is sus sub section one.
-
-blob one
-^^^^^^^^
-
-Far tooo deep to get a name
-
-thing one
-"""""""""
-
-No idea how to call that, but sphinx says it's a paragraph.
-''')
-        self.assertContent('''\
-@node chapter-one
-@chapter Chapter one
-Chapter introduction.
-
-@node section-one
-@section section one
-The first section.
-
-@node subsection-one
-@subsection subsection one
-The first subsection.
-
-@node subsection-two
-@subsection subsection two
-The second subsection.
-
-@node subsubsection-one
-@subsubsection subsubsection one
-Here is sus sub section one.
-
-@node blob-one
-@heading blob one
-Far tooo deep to get a name
-
-@node thing-one
-@heading thing one
-No idea how to call that, but sphinx says it's a paragraph.''')
-
-
-class TestReferences(test_dg.TestSphinx):
-
-    def test_external_reference(self):
-        self.create_content('''\
-The `example web site`_ is nice.
-
-.. _example web site: http://www.example.com/
-''')
-        self.assertContent('''\
-The @uref{http://www.example.com/,example web site} is nice.''')
-
-
-    def test_internal_reference(self):
-        self.create_content('''\
-The `example web site`_ contains more examples.
-
-Example web site
-----------------
-
-Here we have a lot of nice examples.
-
-''')
-        self.assertContent('''\
-The example web site (@pxref{example-web-site}) contains more examples.
-
-@node example-web-site
-@chapter Example web site
-Here we have a lot of nice examples.''')
-

=== modified file 'bzrlib/tests/features.py'
--- bzrlib/tests/features.py	2011-12-05 14:21:55 +0000
+++ bzrlib/tests/features.py	2012-03-09 16:48:55 +0000
@@ -352,7 +352,6 @@
 paramiko = ModuleAvailableFeature('paramiko')
 pycurl = ModuleAvailableFeature('pycurl')
 pywintypes = ModuleAvailableFeature('pywintypes')
-sphinx = ModuleAvailableFeature('sphinx')
 subunit = ModuleAvailableFeature('subunit')
 testtools = ModuleAvailableFeature('testtools')
 

=== modified file 'doc/developers/conf.py'
--- doc/developers/conf.py	2010-07-07 15:03:14 +0000
+++ doc/developers/conf.py	2012-03-09 16:48:55 +0000
@@ -33,16 +33,26 @@
 
 # Grouping the document tree into LaTeX files. List of tuples
 # (source start file, target name, title, author, documentclass [howto/manual]).
+bzr_documents = [
+  ('HACKING', 'bzr-en-developer-guide', u'Bazaar Developer Guide',
+   u'Bazaar Developers', 'manual'),
+  ('testing', 'bzr-en-testing-guide', u'Bazaar Testing Guide',
+   u'Bazaar Developers', 'manual'),
+  ('overview', 'bzr-en-architecture-overview', u'Bazaar Architecture Overview',
+   u'Bazaar Developers', 'howto'),
+  ('integration', 'bzr-en-integration-guide', u'Bazaar Integration Guide',
+   u'Bazaar Developers', 'howto'),
+]
+
 latex_documents = [
-  ('HACKING', 'bzr-en-developer-guide.tex', u'Bazaar Developer Guide',
-   u'Bazaar Developers', 'manual'),
-  ('testing', 'bzr-en-testing-guide.tex', u'Bazaar Testing Guide',
-   u'Bazaar Developers', 'manual'),
-  ('overview', 'bzr-en-architecture-overview.tex', u'Bazaar Architecture Overview',
-   u'Bazaar Developers', 'howto'),
-  ('integration', 'bzr-en-integration-guide.tex', u'Bazaar Integration Guide',
-   u'Bazaar Developers', 'howto'),
-]
+    (start, target+'.tex', title, author, doc_class)
+    for start, target, title, author, doc_class in bzr_documents
+    ]
+
+texinfo_documents = [
+    (start, target, title, author, doc_class)
+    for start, target, title, author, doc_class in bzr_documents
+    ]
 
 # List of documents that shouldn't be included in the build.
 # Note: Maybe some of them *ought* to be linked in somewhere?

=== modified file 'doc/en/Makefile'
--- doc/en/Makefile	2010-07-05 12:40:28 +0000
+++ doc/en/Makefile	2012-03-09 16:48:55 +0000
@@ -114,5 +114,8 @@
 	      "results in _build/doctest/output.txt."
 
 texinfo:
+	$(make_output_dirs)
 	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) _build/texinfo
+        # Now build the info files using the Makefile provided by Sphinx
+	$(MAKE) -C _build/texinfo
 

=== modified file 'doc/en/conf.py'
--- doc/en/conf.py	2010-10-13 06:14:37 +0000
+++ doc/en/conf.py	2012-03-09 16:48:55 +0000
@@ -47,35 +47,45 @@
 # Output file base name for HTML help builder.
 htmlhelp_basename = 'bzr-%s' % (bzr_locale,)
 
-# Grouping the document tree into LaTeX files. List of tuples
+# Grouping the document tree into files. List of tuples
 # (source start file, target name, title, author, documentclass [howto/manual]).
-latex_documents = [
+bzr_documents = [
   # Manuals
-  ('user-guide/index', 'bzr-%s-user-guide.tex' % (bzr_locale,),
+  ('user-guide/index', 'bzr-%s-user-guide' % (bzr_locale,),
     bzr_title(u'Bazaar User Guide'), bzr_team, 'manual'),
-  ('user-reference/index', 'bzr-%s-user-reference.tex' % (bzr_locale,),
+  ('user-reference/index', 'bzr-%s-user-reference' % (bzr_locale,),
     bzr_title(u'Bazaar User Reference'), bzr_team, 'manual'),
-  ('release-notes/index', 'bzr-%s-release-notes.tex' % (bzr_locale,),
+  ('release-notes/index', 'bzr-%s-release-notes' % (bzr_locale,),
     bzr_title(u'Bazaar Release Notes'), bzr_team, 'manual'),
-  ('upgrade-guide/index', 'bzr-%s-upgrade-guide.tex' % (bzr_locale,),
+  ('upgrade-guide/index', 'bzr-%s-upgrade-guide' % (bzr_locale,),
     bzr_title(u'Bazaar Upgrade Guide'), bzr_team, 'manual'),
-  ('admin-guide/index', 'bzr-%s-admin-guide.tex' % (bzr_locale,),
+  ('admin-guide/index', 'bzr-%s-admin-guide' % (bzr_locale,),
     bzr_title(u"Bazaar System Administrator's Guide"), bzr_team, 'manual'),
   # Tutorials
-  ('mini-tutorial/index', 'bzr-%s-tutorial-mini.tex' % (bzr_locale,),
+  ('mini-tutorial/index', 'bzr-%s-tutorial-mini' % (bzr_locale,),
     bzr_title(u'Bazaar in five minutes'), bzr_team, 'howto'),
-  ('tutorials/tutorial', 'bzr-%s-tutorial.tex' % (bzr_locale,),
+  ('tutorials/tutorial', 'bzr-%s-tutorial' % (bzr_locale,),
     bzr_title(u'Bazaar Tutorial'), bzr_team, 'howto'),
   ('tutorials/using_bazaar_with_launchpad',
-    'bzr-%s-tutorial-with-launchpad.tex' % (bzr_locale,),
+    'bzr-%s-tutorial-with-launchpad' % (bzr_locale,),
     bzr_title(u'Using Bazaar With Launchpad'), bzr_team, 'howto'),
   ('tutorials/centralized_workflow',
-    'bzr-%s-tutorial-centralized.tex' % (bzr_locale,),
+    'bzr-%s-tutorial-centralized' % (bzr_locale,),
     bzr_title(u'Centralized Workflow Tutorial'), bzr_team, 'howto'),
-  ('whats-new/whats-new-in-2.1', 'bzr-%s-whats-new.tex' % (bzr_locale,),
+  ('whats-new/whats-new-in-2.1', 'bzr-%s-whats-new' % (bzr_locale,),
     bzr_title(u"What's New in Bazaar 2.1?"), bzr_team, 'howto'),
 ]
 
+latex_documents = [
+    (start, target+'.tex', title, author, doc_class)
+    for start, target, title, author, doc_class in bzr_documents
+    ]
+
+texinfo_documents = [
+    (start, target, title, author, doc_class)
+    for start, target, title, author, doc_class in bzr_documents
+    ]
+
 # List of documents that shouldn't be included in the build.
 unused_docs = [
     # Subtopics that get included

=== modified file 'doc/en/release-notes/bzr-2.5.txt'
--- doc/en/release-notes/bzr-2.5.txt	2012-02-28 05:02:15 +0000
+++ doc/en/release-notes/bzr-2.5.txt	2012-03-12 14:44:51 +0000
@@ -38,7 +38,11 @@
 Documentation
 *************
 
-.. Improved or updated documentation.
+* The alpha-quality texinfo sphinx builder has been deprecated. Sphinx >=
+  1.1.2 now provides a better one. Most of the documentation can now be
+  generated to the texinfo format with ``make texinfo-sphinx``. This will
+  generate both the ``.texi`` files and the ``.info`` ones.
+  (Vincent Ladeuil, #940164)
 
 API Changes
 ***********

=== modified file 'doc/en/whats-new/whats-new-in-2.5.txt'
--- doc/en/whats-new/whats-new-in-2.5.txt	2012-03-09 11:22:08 +0000
+++ doc/en/whats-new/whats-new-in-2.5.txt	2012-03-09 16:48:55 +0000
@@ -134,6 +134,13 @@
 ``bzr help po_merge`` for documentation on how to
 enable it and what it can do.
 
+Documentation in texinfo format
+*******************************
+
+Sphinx (>= 1.1.2) provides a better texinfo builder than the alpha-quality
+one provided with bzr sources. Most of the bzr documentation can be
+processed and produce valid ``.info`` files.
+
 Further information
 *******************
 

=== modified file 'doc/es/conf.py'
--- doc/es/conf.py	2010-07-07 15:03:14 +0000
+++ doc/es/conf.py	2012-03-09 16:48:55 +0000
@@ -52,29 +52,39 @@
 
 # Grouping the document tree into LaTeX files. List of tuples
 # (source start file, target name, title, author, documentclass [howto/manual]).
-latex_documents = [
+bzr_documents = [
   # Manuals
-  ('user-guide/index', 'bzr-%s-user-guide.tex' % (bzr_locale,),
+  ('user-guide/index', 'bzr-%s-user-guide' % (bzr_locale,),
     bzr_title(u'Bazaar User Guide'), bzr_team, 'manual'),
-  #('user-reference/bzr_man', 'bzr-%s-user-reference.tex' % (bzr_locale,),
+  #('user-reference/bzr_man', 'bzr-%s-user-reference' % (bzr_locale,),
   #  bzr_title(u'Bazaar User Reference'), bzr_team, 'manual'),
-  #('release-notes/NEWS', 'bzr-%s-release-notes.tex' % (bzr_locale,),
+  #('release-notes/NEWS', 'bzr-%s-release-notes' % (bzr_locale,),
   #  bzr_title(u'Bazaar Release Notes'), bzr_team, 'manual'),
-  #('upgrade-guide/index', 'bzr-%s-upgrade-guide.tex' % (bzr_locale,),
+  #('upgrade-guide/index', 'bzr-%s-upgrade-guide' % (bzr_locale,),
   #  bzr_title(u'Bazaar Upgrade Guide'), bzr_team, 'manual'),
   # Tutorials
-  ('mini-tutorial/index', 'bzr-%s-tutorial-mini.tex' % (bzr_locale,),
+  ('mini-tutorial/index', 'bzr-%s-tutorial-mini' % (bzr_locale,),
     bzr_title(u'Bazaar in five minutes'), bzr_team, 'howto'),
-  #('tutorials/tutorial', 'bzr-%s-tutorial.tex' % (bzr_locale,),
+  #('tutorials/tutorial', 'bzr-%s-tutorial' % (bzr_locale,),
   #  bzr_title(u'Bazaar Tutorial'), bzr_team, 'howto'),
   #('tutorials/using_bazaar_with_launchpad',
-  #  'bzr-%s-tutorial-with-launchpad.tex' % (bzr_locale,),
+  #  'bzr-%s-tutorial-with-launchpad' % (bzr_locale,),
   #  bzr_title(u'Using Bazaar With Launchpad'), bzr_team, 'howto'),
   #('tutorials/centralized_workflow',
-  #  'bzr-%s-tutorial-centralized.tex' % (bzr_locale,),
+  #  'bzr-%s-tutorial-centralized' % (bzr_locale,),
   #  bzr_title(u'Centralized Workflow Tutorial'), bzr_team, 'howto'),
 ]
 
+latex_documents = [
+    (start, target+'.tex', title, author, doc_class)
+    for start, target, title, author, doc_class in bzr_documents
+    ]
+
+texinfo_documents = [
+    (start, target, title, author, doc_class)
+    for start, target, title, author, doc_class in bzr_documents
+    ]
+
 # List of documents that shouldn't be included in the build.
 unused_docs = [
     # Subtopics that get included

=== modified file 'doc/ja/conf.py'
--- doc/ja/conf.py	2010-07-07 15:03:14 +0000
+++ doc/ja/conf.py	2012-03-09 16:48:55 +0000
@@ -52,29 +52,39 @@
 
 # Grouping the document tree into LaTeX files. List of tuples
 # (source start file, target name, title, author, documentclass [howto/manual]).
-latex_documents = [
+bzr_documents = [
   # Manuals
-  ('user-guide/index', 'bzr-%s-user-guide.tex' % (bzr_locale,),
+  ('user-guide/index', 'bzr-%s-user-guide' % (bzr_locale,),
     bzr_title(u'Bazaar User Guide'), bzr_team, 'manual'),
-  ('user-reference/bzr_man', 'bzr-%s-user-reference.tex' % (bzr_locale,),
+  ('user-reference/bzr_man', 'bzr-%s-user-reference' % (bzr_locale,),
     bzr_title(u'Bazaar User Reference'), bzr_team, 'manual'),
-  #('release-notes/NEWS', 'bzr-%s-release-notes.tex' % (bzr_locale,),
+  #('release-notes/NEWS', 'bzr-%s-release-notes' % (bzr_locale,),
   #  bzr_title(u'Bazaar Release Notes'), bzr_team, 'manual'),
-  #('upgrade-guide/index', 'bzr-%s-upgrade-guide.tex' % (bzr_locale,),
+  #('upgrade-guide/index', 'bzr-%s-upgrade-guide' % (bzr_locale,),
   #  bzr_title(u'Bazaar Upgrade Guide'), bzr_team, 'manual'),
   # Tutorials
-  ('mini-tutorial/index', 'bzr-%s-tutorial-mini.tex' % (bzr_locale,),
+  ('mini-tutorial/index', 'bzr-%s-tutorial-mini' % (bzr_locale,),
     bzr_title(u'Bazaar in five minutes'), bzr_team, 'howto'),
-  #('tutorials/tutorial', 'bzr-%s-tutorial.tex' % (bzr_locale,),
+  #('tutorials/tutorial', 'bzr-%s-tutorial' % (bzr_locale,),
   #  bzr_title(u'Bazaar Tutorial'), bzr_team, 'howto'),
   #('tutorials/using_bazaar_with_launchpad',
-  #  'bzr-%s-tutorial-with-launchpad.tex' % (bzr_locale,),
+  #  'bzr-%s-tutorial-with-launchpad' % (bzr_locale,),
   #  bzr_title(u'Using Bazaar With Launchpad'), bzr_team, 'howto'),
   #('tutorials/centralized_workflow',
-  #  'bzr-%s-tutorial-centralized.tex' % (bzr_locale,),
+  #  'bzr-%s-tutorial-centralized' % (bzr_locale,),
   #  bzr_title(u'Centralized Workflow Tutorial'), bzr_team, 'howto'),
 ]
 
+latex_documents = [
+    (start, target+'.tex', title, author, doc_class)
+    for start, target, title, author, doc_class in bzr_documents
+    ]
+
+texinfo_documents = [
+    (start, target, title, author, doc_class)
+    for start, target, title, author, doc_class in bzr_documents
+    ]
+
 # List of documents that shouldn't be included in the build.
 unused_docs = [
     # Subtopics that get included

=== modified file 'doc/ru/conf.py'
--- doc/ru/conf.py	2010-07-07 15:03:14 +0000
+++ doc/ru/conf.py	2012-03-09 16:48:55 +0000
@@ -52,29 +52,40 @@
 
 # Grouping the document tree into LaTeX files. List of tuples
 # (source start file, target name, title, author, documentclass [howto/manual]).
-latex_documents = [
+bzr_documents = [
   # Manuals
-  #('user-guide/index', 'bzr-%s-user-guide.tex' % (bzr_locale,),
+  #('user-guide/index', 'bzr-%s-user-guide' % (bzr_locale,),
   #  bzr_title(u'Bazaar User Guide'), bzr_team, 'manual'),
-  #('user-reference/bzr_man', 'bzr-%s-user-reference.tex' % (bzr_locale,),
+  #('user-reference/bzr_man', 'bzr-%s-user-reference' % (bzr_locale,),
   #  bzr_title(u'Bazaar User Reference'), bzr_team, 'manual'),
-  #('release-notes/NEWS', 'bzr-%s-release-notes.tex' % (bzr_locale,),
+  #('release-notes/NEWS', 'bzr-%s-release-notes' % (bzr_locale,),
   #  bzr_title(u'Bazaar Release Notes'), bzr_team, 'manual'),
-  #('upgrade-guide/index', 'bzr-%s-upgrade-guide.tex' % (bzr_locale,),
+  #('upgrade-guide/index', 'bzr-%s-upgrade-guide' % (bzr_locale,),
   #  bzr_title(u'Bazaar Upgrade Guide'), bzr_team, 'manual'),
   # Tutorials
-  ('mini-tutorial/index', 'bzr-%s-tutorial-mini.tex' % (bzr_locale,),
+  ('mini-tutorial/index', 'bzr-%s-tutorial-mini' % (bzr_locale,),
     bzr_title(u'Bazaar in five minutes'), bzr_team, 'howto'),
-  ('tutorials/tutorial', 'bzr-%s-tutorial.tex' % (bzr_locale,),
+  ('tutorials/tutorial', 'bzr-%s-tutorial' % (bzr_locale,),
     bzr_title(u'Bazaar Tutorial'), bzr_team, 'howto'),
   #('tutorials/using_bazaar_with_launchpad',
-  #  'bzr-%s-tutorial-with-launchpad.tex' % (bzr_locale,),
+  #  'bzr-%s-tutorial-with-launchpad' % (bzr_locale,),
   #  bzr_title(u'Using Bazaar With Launchpad'), bzr_team, 'howto'),
   #('tutorials/centralized_workflow',
-  #  'bzr-%s-tutorial-centralized.tex' % (bzr_locale,),
+  #  'bzr-%s-tutorial-centralized' % (bzr_locale,),
   #  bzr_title(u'Centralized Workflow Tutorial'), bzr_team, 'howto'),
 ]
 
+latex_documents = [
+    (start, target+'.tex', title, author, doc_class)
+    for start, target, title, author, doc_class in bzr_documents
+    ]
+
+texinfo_documents = [
+    (start, target, title, author, doc_class)
+    for start, target, title, author, doc_class in bzr_documents
+    ]
+
+
 # List of documents that shouldn't be included in the build.
 unused_docs = [
     # Subtopics that get included

